Skip to main content
POST
/
api
/
v3
/
verifications
/
email-verification
/
verify
Verify Email Verification Message
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/email-verification/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "otp": "<string>",
  "template_id": "{your_trust_flow_id}",
  "verification_id": "{your_created_verification_id}"
}
'
{
  "status": true,
  "message": "OK",
  "result": {
    "mobile_app_token": "79c8fe09935248d7ad1a78c09ffed17d",
    "recipient": {
      "email": "johndoe@gmail.com"
    },
    "reference_id": "6660FE3C58B402509336D7DB4513D2DD",
    "state": "CREATED",
    "status": {
      "code": 3901,
      "description": "Request in progress",
      "updated_on": "2025-07-25T03:09:58.721000Z"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json
Content-Type
string
default:application/json

Body

application/json
email
string<email>
required

Email address to send the verification code to.

otp
integer
required

One-time password sent to the email.

template_id
string
required

Identifier used to categorize or group requests for tracking or reporting.

verification_id
string
required

A unique ID used to identify your verification request.

Response

200 - application/json

Email verification completed successfully

status
boolean
message
string
result
object